Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.entity
Class PlanningEntityDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.entity.PlanningEntityDescriptor

    public class PlanningEntityDescriptor

extends Object

Constructor Summary
`PlanningEntityDescriptor(SolutionDescriptor solutionDescriptor, Class<?> planningEntityClass)`

Method Summary
`void` | `addVariableListenersToMap(Map<PlanningVariableDescriptor,List<PlanningVariableListener>> variableListenerMap)`
`void` | `afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)`
`int` | `countUninitializedVariables(Object planningEntity)`
`List<Object>` | `extractEntities(Solution solution)`
`SelectionSorter` | `getDecreasingDifficultySorter()`
`SelectionFilter` | `getMovableEntitySelectionFilter()`
`Class<?>` | `getPlanningEntityClass()`
`Collection<String>` | `getPlanningVariableNameSet()`
`long` | `getProblemScale(Solution solution, Object planningEntity)`
`PropertyDescriptor` | `getPropertyDescriptor(String propertyName)`
`ShadowVariableDescriptor` | `getShadowVariableDescriptor(String propertyName)`
`SolutionDescriptor` | `getSolutionDescriptor()`
`PlanningVariableDescriptor` | `getVariableDescriptor(String propertyName)`
`Collection<PlanningVariableDescriptor>` | `getVariableDescriptors()`
`boolean` | `hasGenuineVariableDescriptor()`
`boolean` | `hasMovableEntitySelectionFilter()`
`boolean` | `hasShadowVariableDescriptor(String propertyName)`
`boolean` | `hasVariableDescriptor(String propertyName)`
`boolean` | `isInitialized(Object planningEntity)`
`boolean` | `matchesEntity(Object entity)`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlanningEntityDescriptor

    public PlanningEntityDescriptor(SolutionDescriptor solutionDescriptor,
                                    Class<?> planningEntityClass)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

### afterAnnotationsProcessed

    public void afterAnnotationsProcessed(DescriptorPolicy descriptorPolicy)

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getPlanningEntityClass

    public Class<?> getPlanningEntityClass()

### matchesEntity

    public boolean matchesEntity(Object entity)

### hasMovableEntitySelectionFilter

    public boolean hasMovableEntitySelectionFilter()

### getMovableEntitySelectionFilter

    public SelectionFilter getMovableEntitySelectionFilter()

### getDecreasingDifficultySorter

    public SelectionSorter getDecreasingDifficultySorter()

### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor(String propertyName)

### getPlanningVariableNameSet

    public Collection<String> getPlanningVariableNameSet()

### getVariableDescriptors

    public Collection<PlanningVariableDescriptor> getVariableDescriptors()

### hasVariableDescriptor

    public boolean hasVariableDescriptor(String propertyName)

### getVariableDescriptor

    public PlanningVariableDescriptor getVariableDescriptor(String propertyName)

### hasGenuineVariableDescriptor

    public boolean hasGenuineVariableDescriptor()

### hasShadowVariableDescriptor

    public boolean hasShadowVariableDescriptor(String propertyName)

### getShadowVariableDescriptor

    public ShadowVariableDescriptor getShadowVariableDescriptor(String propertyName)

### addVariableListenersToMap

    public void addVariableListenersToMap(Map<PlanningVariableDescriptor,List<PlanningVariableListener>> variableListenerMap)

### extractEntities

    public List<Object> extractEntities(Solution solution)

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object planningEntity)

### countUninitializedVariables

    public int countUninitializedVariables(Object planningEntity)

### isInitialized

    public boolean isInitialized(Object planningEntity)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.